<template>
  <v-app>
    <v-main v-if="!isLoading">
      <v-app-bar>
        <router-link to="/" class="ml-5 mr-5" v-if="!isAuthorized">Главная страница</router-link>
        <router-link to="/profile" class="ml-5 mr-5" v-if="isAuthorized">Профиль</router-link>
        <router-link to="/timeslots" class="ml-5 mr-5" v-if="isAuthorized">Таймслоты</router-link>
        <button @click="logoutHandler" v-if="isAuthorized">Выйти</button>
      </v-app-bar>
      <router-view />
    </v-main>
  </v-app>
</template>

<script>
import {mapActions, mapState} from 'pinia';
import {useUserStore} from '@/store/user';

export default {
  methods: {
    ...mapActions(useUserStore, ['load', 'logout']),
    logoutHandler() {
      this.logout();
      setTimeout(() => this.$router.push('/'));
    }
  },
  computed: mapState(useUserStore, ['isAuthorized', 'isLoading'])
}
</script>
